FASTAQ-TO_PERFECT_READS(1)

NAME
fastaq_to_perfect_reads - Make perfect paired reads from reference

DESCRIPTION
usage: fastaq_to_perfect_reads [options] <infile> <outfile> <mean insert size> <insert std deviation> <mean coverage> <read length>

Makes perfect paired end fastq reads from a sequence file, with insert sizes sampled from a normal distribution. Read orientation is innies. Output is an interleaved FASTQ file.

  positional arguments:

infile
    Name of input file

outfile
    Name of output file

mean insert size
    Mean insert size of read pairs

insert std deviation
    Standard devation of insert size

mean coverage
    Mean coverage of the reads

read length
    Length of each read

  options:

-h, --help
    show this help message and exit

--fragments FILENAME
    Write FASTA sequences of fragments (i.e. read pairs plus sequences in between them) to the given filename

--no_n
    Don't allow any N or n characters in the reads

--seed INT
    Seed for random number generator. Default is to use python's default